package com.gree.mall.miniapp.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum MaterialSalesFlagEnum implements BaseEnum {

    SAVE("SAVE","保存"),
    SUBMIT("SUBMIT","提交"),
    PAY_NOT_TAKE("PAY_NOT_TAKE","已支付,未提货"),
    PAY_TAKE("PAY_TAKE","已提货"),
    CANCEL("CANCEL","取消订单"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

}
